{
  config,
  pkgs,
  lib,
  ...
}:
with lib; let
  cfg = config.desktop.cosmic;
in {
  options = {
    desktop.cosmic.enable =
      mkEnableOption "enable cosmic desktop";
  };
  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      wl-clipboard-rs
    ];
  };
}
